### Name: Cholesky
### Title: Cholesky Decomposition of a Sparse Matrix
### Aliases: Cholesky Cholesky,dsCMatrix-method
### Keywords: array algebra

### ** Examples

data(KNex)
mtm <- with(KNex, crossprod(mm))
Cholesky(mtm)             # uses show(<MatrixFactorization>)
(Cm <- Cholesky(mtm, super = TRUE))
str(cmat <- as(Cm, "sparseMatrix"))
cmat[1:20, 1:20]
b <- matrix(c(rep(0, 711), 1), nc = 1)
stopifnot(all.equal(solve(mtm, b), solve(Cm, b)))



